summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-14.1.0.ebuild34
-rw-r--r--dev-python/Faker/Manifest2
-rw-r--r--dev-python/Manifest.gzbin258435 -> 258448 bytes
-rw-r--r--dev-python/aws-sam-translator/Manifest2
-rw-r--r--dev-python/aws-sam-translator/aws-sam-translator-1.50.0.ebuild59
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.24.53.ebuild68
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.27.53.ebuild69
-rw-r--r--dev-python/cwcwidth/Manifest2
-rw-r--r--dev-python/cwcwidth/cwcwidth-0.1.7.ebuild29
-rw-r--r--dev-python/fonttools/Manifest2
-rw-r--r--dev-python/fonttools/fonttools-4.36.0.ebuild58
-rw-r--r--dev-python/hcloud-python/Manifest2
-rw-r--r--dev-python/hcloud-python/hcloud-python-1.18.0.ebuild40
-rw-r--r--dev-python/jsonschema/Manifest2
-rw-r--r--dev-python/jsonschema/jsonschema-4.10.2.ebuild55
-rw-r--r--dev-python/libtmux/Manifest2
-rw-r--r--dev-python/libtmux/libtmux-0.14.2.ebuild48
-rw-r--r--dev-python/matplotlib-inline/Manifest2
-rw-r--r--dev-python/matplotlib-inline/matplotlib-inline-0.1.5.ebuild25
21 files changed, 505 insertions, 0 deletions
diff --git a/dev-python/Faker/Faker-14.1.0.ebuild b/dev-python/Faker/Faker-14.1.0.ebuild
new file mode 100644
index 000000000000..d8e24e8d32e7
--- /dev/null
+++ b/dev-python/Faker/Faker-14.1.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+inherit distutils-r1
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/random2[${PYTHON_USEDEP}]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index bc4d2934f527..6c004d8ffdce 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -3,9 +3,11 @@ DIST Faker-13.14.0.tar.gz 1529502 BLAKE2B 57c5182742f4383bc0590f953dbf8de7075b33
DIST Faker-13.15.0.tar.gz 1531111 BLAKE2B b6e91f7e47f5040894647b53eff92ddc8384fe9edfe19aa4d3706c2d5e54100d171b37609968bba068c89d9c946f92b5966b9e8f502863ab3730d9857a342853 SHA512 6de6de872e19f82a716fdf10f594e3d77b160bde46e7c8d20610621728ee3e555b4090835dba220da96d98db5eaac8c0e4290786441441f220b7458f442b99f3
DIST Faker-13.15.1.tar.gz 1531442 BLAKE2B 890bcf69ebcb97f8d7441e7b899ed0fec851b5f291a03606e3a3cb6dc8838522fed839b77fd6899122347fa3c8cef14c0a0f6f1039b66331ab2263bc4675d378 SHA512 e405ee0cf1aed0b3c01f60bf10f5e72c6b55977deb9b004875dbb5eb5cd24da1b979cfa9234be30946a640ab21fc1d95393c15e2bf839bef373978959f7eb784
DIST Faker-14.0.0.tar.gz 1536015 BLAKE2B e3d0f5745203ac441bb4f4a4deb4ebc9045f532b3b0801e8d6904bd0e68bc2fff9edc9a78492051c9d7938121ff74d307764ef5be266d3c0afe4f1212c52968e SHA512 7b0a2558e050cdaddb796bdcec458a3b43eea605f8e8a74e2949870fbc5e0ccf11cf7ae7f1ed01629038a2125d853e26a8543479f1b7f7637e02a1e3af5c577b
+DIST Faker-14.1.0.tar.gz 1598360 BLAKE2B 953dfd718b143e493ca2129f69ada12b6d5e5e3b04b5e2ebeedbd57855da1f8d7cb3bda3dfa1050debce4281d605ac4c10d74538422c5da41e72caaf10c2b2ad SHA512 50d0452d946e3899813ea1aa0b207451fc765e1ee3cc2196b13eb095a91a888e825064b63651b610240fe9e90158a318fca80dbcdbb7b5a70568bafa7653fb67
EBUILD Faker-13.13.0.ebuild 743 BLAKE2B 5018d7828a83837233d7e23c875e4c710665e4322e79329a49cc426d97b630627f9aa64df85f92449f06d1e11f772e8e84064b389b586b9ef5214d7200ffa305 SHA512 a8de56e0b42bedd66f8f9b5a512ff79d30b29e728c5d6227f6c9b4f11c22b284941f342ec8c531345e4a89af15aade1192941fa0f4400b2d3e2efb3bc9f7e724
EBUILD Faker-13.14.0.ebuild 743 BLAKE2B 5018d7828a83837233d7e23c875e4c710665e4322e79329a49cc426d97b630627f9aa64df85f92449f06d1e11f772e8e84064b389b586b9ef5214d7200ffa305 SHA512 a8de56e0b42bedd66f8f9b5a512ff79d30b29e728c5d6227f6c9b4f11c22b284941f342ec8c531345e4a89af15aade1192941fa0f4400b2d3e2efb3bc9f7e724
EBUILD Faker-13.15.0.ebuild 743 BLAKE2B 5018d7828a83837233d7e23c875e4c710665e4322e79329a49cc426d97b630627f9aa64df85f92449f06d1e11f772e8e84064b389b586b9ef5214d7200ffa305 SHA512 a8de56e0b42bedd66f8f9b5a512ff79d30b29e728c5d6227f6c9b4f11c22b284941f342ec8c531345e4a89af15aade1192941fa0f4400b2d3e2efb3bc9f7e724
EBUILD Faker-13.15.1.ebuild 743 BLAKE2B 5018d7828a83837233d7e23c875e4c710665e4322e79329a49cc426d97b630627f9aa64df85f92449f06d1e11f772e8e84064b389b586b9ef5214d7200ffa305 SHA512 a8de56e0b42bedd66f8f9b5a512ff79d30b29e728c5d6227f6c9b4f11c22b284941f342ec8c531345e4a89af15aade1192941fa0f4400b2d3e2efb3bc9f7e724
EBUILD Faker-14.0.0.ebuild 743 BLAKE2B 5018d7828a83837233d7e23c875e4c710665e4322e79329a49cc426d97b630627f9aa64df85f92449f06d1e11f772e8e84064b389b586b9ef5214d7200ffa305 SHA512 a8de56e0b42bedd66f8f9b5a512ff79d30b29e728c5d6227f6c9b4f11c22b284941f342ec8c531345e4a89af15aade1192941fa0f4400b2d3e2efb3bc9f7e724
+EBUILD Faker-14.1.0.ebuild 743 BLAKE2B 5018d7828a83837233d7e23c875e4c710665e4322e79329a49cc426d97b630627f9aa64df85f92449f06d1e11f772e8e84064b389b586b9ef5214d7200ffa305 SHA512 a8de56e0b42bedd66f8f9b5a512ff79d30b29e728c5d6227f6c9b4f11c22b284941f342ec8c531345e4a89af15aade1192941fa0f4400b2d3e2efb3bc9f7e724
MISC metadata.xml 474 BLAKE2B 337c8b17b4ca092edc2e59bd61dd847e4b9f2bd7e0651d07dad5b3e3eb4f311de9e27e6cad1f6a4835f618446cfa4cdb95e578a8af11498cf7bed1ec697990ce SHA512 35f4a2a50ad5589ba50e619670d1f1eac423fec920bb9c07b3f8bd7d7f2a0bb4e88dde286b062339b30ba304bd1a834bf3318c0b0ad0552ce9eb45fa72e5f44e
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 898311e9c302..1f126c3fc533 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/aws-sam-translator/Manifest b/dev-python/aws-sam-translator/Manifest
index ce8dd358f612..ee562adf27ac 100644
--- a/dev-python/aws-sam-translator/Manifest
+++ b/dev-python/aws-sam-translator/Manifest
@@ -2,8 +2,10 @@ DIST aws-sam-translator-1.46.0.gh.tar.gz 1082378 BLAKE2B 915f09ab6ecdecca7cc149e
DIST aws-sam-translator-1.47.0.gh.tar.gz 1087660 BLAKE2B 47e13a468f2ac0015683acb187a83f0e8f8b23162d4cd1b70eadfe36d3e10ea19259f2f313beb557175456f3455da3b08594207bb013cc33d30e4964ddec8ba8 SHA512 29af2b6c51384c906328d839f412dddbf0d9fcf07e77484567fd6c63be44d152b003087595530e20c63e504bc2fc27cc041c4cf21aab070240b6211a93a2dd20
DIST aws-sam-translator-1.48.0.gh.tar.gz 1098247 BLAKE2B 99f3c94f94535e1ccfac5e20a2e403d7be6867bf7a644390a0aeb3444edaecf55d6b9454dd01c09ab12693c9abbf9c2994ea018f636f759f0f2d67e364ef4dd6 SHA512 150447a0068e056f38b246f27e3c5db831fb4a01cbc302d6203713d935a480bcd8d758873819eda02f2a4bf5a07ab397cbe63b6006bd053c5589b3220515eb65
DIST aws-sam-translator-1.49.0.gh.tar.gz 1100512 BLAKE2B d1c5cbdcf4b4bd53b2d3fb1fa4e945a38294e2c4da0c3d1479c0d43191045a8b4c85edcb008e7e843830c203f795b0620607046d0715a922e8dc4629be781961 SHA512 b614438f6dd7c903f7817a66f26d18026b909011cb48adb19c23f1897e6657bc997a964dd1282d7da37d782aafc0c0fd503524ae0024a682bf06ee2e15020f27
+DIST aws-sam-translator-1.50.0.gh.tar.gz 1103467 BLAKE2B 8d9408b7e92a5c515da47075a0722c937223e73dfa99d92d6daf91997a2edf4e1854afb88f7020fdab3457453d1c54ea77cf7e3466ec71ede36bfb3fc9c469fa SHA512 2f8f494218a1ac018893de59e7bede88b73ce446b29cc818d9309275851b080608656f69c422a9b49c885a6e6cbe7f34826f31cf4da9f2ee0667a1663dbee32a
EBUILD aws-sam-translator-1.46.0.ebuild 2296 BLAKE2B fa619349b1d53e29f090ca641a7e4d926f2b69d4d6406e93ddc3cd7413b97252d61dacd94bec36fad3596886b70a8fcc037ea004c1918e7d08054899aca555a9 SHA512 f4baa83bcafa8452758d4977b20b4b0df4924540ce3bb08fbfb4488fd983af8365ede182503859bdb87b005dfa7645a791d7ceebbb3d2637ae2bb9351ad36d90
EBUILD aws-sam-translator-1.47.0.ebuild 2298 BLAKE2B 00b0c58231c5c470c4fa9c5a8a45f1d6328c96183af14b0ebd5f3050401df631704f76f35d71ece3a3853edbc10553edd2eb85505c5b5ca5efc515583ec51037 SHA512 7d2b130306f5c0a0abd8bc582b6a0cf451e28f7950d6c78bffc8c6c667f057a7e3c7e2baa49d3fef49f99d3adf2b4131a72b9e08d7ac168b12d3c6716fb5d002
EBUILD aws-sam-translator-1.48.0.ebuild 2298 BLAKE2B 00b0c58231c5c470c4fa9c5a8a45f1d6328c96183af14b0ebd5f3050401df631704f76f35d71ece3a3853edbc10553edd2eb85505c5b5ca5efc515583ec51037 SHA512 7d2b130306f5c0a0abd8bc582b6a0cf451e28f7950d6c78bffc8c6c667f057a7e3c7e2baa49d3fef49f99d3adf2b4131a72b9e08d7ac168b12d3c6716fb5d002
EBUILD aws-sam-translator-1.49.0.ebuild 2255 BLAKE2B 48a47eaf224f0cf84d7d2ee0aa3e3e7ec62844b593e6aa14f6b8b5dc1e46934294fc4454f1c2666dc5d4148a9403c499f3ae43a1d522f5e9a3df929b52613b3f SHA512 8454a7fc31df79581066a995cc7c323e52eb70b29e2c2f9766a4cccba444e910763a51eec5f3920601b7e3d8023807a7558e8e6e083435ff66a0dc3403df187c
+EBUILD aws-sam-translator-1.50.0.ebuild 2257 BLAKE2B fd134b743ab8affdd452652ccabccb31122939c458dcd52f2019a0290c4a2725ac5a0b10fd102e71929f41d17037a2b7f10c3ef2019a022b94d5a80b79e691fc SHA512 756fb5f4baa0b7647d7af262ff895fcc5605cfe8fca0d8089f90d62e5ff846b60d0432a8df5e4a47487b289f10b20b3b4e7f9ec8a1927cc6b17cdbb245cec13b
MISC metadata.xml 603 BLAKE2B 89556267393186cf69a585c58efeb6fa599bfb42ef221bea955ea807a28edee89036a2ee0d0ca81ae55d96702a01b171b837754dabf38047ecc2789157bb7116 SHA512 106b6d241eadf7807dadf03329073703f8b51e7443eddc4db8752878b6dd84cc4357689cd4b796b3a083192e9d98eacbe9e7b8af0273160c7b89846e78230a88
diff --git a/dev-python/aws-sam-translator/aws-sam-translator-1.50.0.ebuild b/dev-python/aws-sam-translator/aws-sam-translator-1.50.0.ebuild
new file mode 100644
index 000000000000..4194237c6fc3
--- /dev/null
+++ b/dev-python/aws-sam-translator/aws-sam-translator-1.50.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A library that transform SAM templates into AWS CloudFormation templates"
+HOMEPAGE="
+ https://github.com/aws/serverless-application-model/
+ https://pypi.org/project/aws-sam-translator/
+"
+SRC_URI="
+ https://github.com/aws/serverless-application-model/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/serverless-application-model-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/boto3-2[${PYTHON_USEDEP}]
+ >=dev-python/boto3-1.19.5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ tests/validator/test_validator_api.py::TestValidatorApi::test_errors_13_error_definitionuri
+ tests/unit/test_region_configuration.py::TestRegionConfiguration::test_is_service_supported_positive_4_ec2
+ tests/plugins/application/test_serverless_app_plugin.py::TestServerlessAppPlugin_on_before_transform_template_translate::test_sar_success_one_app
+ tests/plugins/application/test_serverless_app_plugin.py::TestServerlessAppPlugin_on_before_transform_template_translate::test_sar_throttling_doesnt_stop_processing
+ tests/plugins/application/test_serverless_app_plugin.py::TestServerlessAppPlugin_on_before_transform_template_translate::test_sleep_between_sar_checks
+ tests/plugins/application/test_serverless_app_plugin.py::TestServerlessAppPlugin_on_before_transform_template_translate::test_unexpected_sar_error_stops_processing
+ tests/plugins/application/test_serverless_app_plugin.py::TestServerlessAppPlugin_on_before_and_on_after_transform_template::test_time_limit_exceeds_between_combined_sar_calls
+)
+
+python_prepare_all() {
+ # remove pytest-cov dependency
+ sed -i -e '/addopts/d' pytest.ini || die
+
+ # deps are installed by ebuild, don't try to reinstall them via pip
+ truncate --size=0 requirements/*.txt || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 8bfa08a95dbd..b5a5fb265850 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -6,6 +6,7 @@ DIST boto3-1.24.49.gh.tar.gz 526085 BLAKE2B 8372c65dbe92fee877a9aaafbbeda6ee6df6
DIST boto3-1.24.50.gh.tar.gz 526501 BLAKE2B 4ff77e527a990be760296471f6695eac1604926ae7814034c6ab840b6796d881a02a9936639dcd08daeb472fb27b964f7abd961f079f7961a4a624f7987fedb9 SHA512 9a2c3dcc7ea595c8d40872d59dae7459d401a9f930c542925829ceca6fc8b9846acf4cf67710777756b983e2eea85060488d001f3a948ec3d2f7cdbd617c1f72
DIST boto3-1.24.51.gh.tar.gz 526840 BLAKE2B e796ee5c68260b1b125e658b80b74e2f76e611b4e317abf716a9b42da74ede88a17032d7035585bc92e029a1a8236443faf9aa2c52c541e421ee98fdf78e9769 SHA512 2f05f422dbe347940ce2fef0d2a55b79f26077237b6171a17f77dc5e97af4b9d796748ef854020e06a7f8e895b462eb55a4b1f9f1f02b20a68fb3ee4bbb76bb3
DIST boto3-1.24.52.gh.tar.gz 527776 BLAKE2B 301c8c8fe2a5b75af1aa34d72df8e16ecf9f547428f42dfda9c25d19f29fb6f955ea457cf5b61cced45f36e008073bab02a93e955dea2749a2dcaa881e1f2b79 SHA512 1a7fb5aa77f7bccc1a9f58c3d4149ff653b0e4cb22dd2a47bf255d09ba09ccba2dabba32d444c85b78762d1b140b538da5b274546e2883a00f849d6fca0a1a91
+DIST boto3-1.24.53.gh.tar.gz 527969 BLAKE2B f0075c531876176c11a874398f2935a7ced0e42b233941825e1d926d8ad0ab76f594edc14eaafc80a47c9f6b030df5ea04a555d57de101b28096d67eda693409 SHA512 b1186ef0f1d9c3f1f7b0bd651882c0f771c2de280a66ba2b2d03f4ef0cb8e9c2d0c7544fad2cb72706d0576a3871bc26b42ea4a711647fac3837a6f1e1fc3d9f
EBUILD boto3-1.24.36.ebuild 1579 BLAKE2B 394d8a1bb7a1036ab4821bc789c9eea285f8a6a7c21e751d60c94a53d5fdd37119eab54bfd19bfe0856b7557df04340f50c7cebbe631234e8f582e7d62af13ec SHA512 beee3b634e3b1d66365beb2e97b9d09188fa795e00d9d05f2101de423128741ee1f8ad8ae4b0c35f1e6c6473ce73cc3acf47d9141029b4435d39a9803a5fe1b2
EBUILD boto3-1.24.41.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-1.24.46.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
@@ -14,5 +15,6 @@ EBUILD boto3-1.24.49.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd536
EBUILD boto3-1.24.50.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-1.24.51.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-1.24.52.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
+EBUILD boto3-1.24.53.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-9999.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.24.53.ebuild b/dev-python/boto3/boto3-1.24.53.ebuild
new file mode 100644
index 000000000000..6edcc751d54b
--- /dev/null
+++ b/dev-python/boto3/boto3-1.24.53.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index eed4f8eac0d7..e96811112cb5 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -6,6 +6,7 @@ DIST botocore-1.27.49.gh.tar.gz 9510394 BLAKE2B 01a0f2dd80adadc3bc1acb3c26e32801
DIST botocore-1.27.50.gh.tar.gz 9519905 BLAKE2B 2a44bcc5c66a4306884683f9da022750114568b7ac061c65444d329432e457b38d65db06c25526932f77eb43fe822c221a87cab643c3d3492e15325e1546a8ff SHA512 f7d8445d6510599c2c5459bf1d93761698d5b0f527ac74e5bee20286d2769dc9a1998ae9577a740a9a7cf7611843dd90e193db144f8f788b13c017fd7a641957
DIST botocore-1.27.51.gh.tar.gz 9525092 BLAKE2B c38085ca15f4dfef1853ef40cc7fe09ab1e19efe8f680e7bf5a1d586c3519ca48c43432ac534fc24c7ff9d4630136cda7782af82b3b7d4a4bab5f726419def7a SHA512 67b2bccfc2fc92edd8397b02b5e5bf896ec09b6b826c9bab6a1dcdc523de78900b0204443a862728384bf0596e2c79f6fc27ba3a95c3556e7e10c6ace941afe1
DIST botocore-1.27.52.gh.tar.gz 9525783 BLAKE2B 272b7b36f51b4048bbf75b426826ce5c60fb7fd2b9fbd714b1aaf02fdb99da6b522ae5cecea0468755a9edb2cd4d82a8fc6794b9f4a6e64d3c129a436f6a8397 SHA512 cb231a0dff10c55212ce013daa686b96da59b226ef545911a6dc535ce29565aca317e300d6a8dbcf2de1e3c97f761a6ad46f66d17aad2980be7e7f45166e3365
+DIST botocore-1.27.53.gh.tar.gz 9527747 BLAKE2B 9b5d2c01af6692bac0e105fbb2283741aba21894a28270d6f3d57fd59b9f72cb6552361ed2a07392980a3921cdccd151aa62f378099028e8ae25c3a4cbd32e0d SHA512 78602aea42ce262f5e8552708a4e93a5a49dc2de61e83e6d2ad63627cc6aa0dd236992adaa22613098346f0d042ee572ee40de01794518cb7db443a92b5c3d58
EBUILD botocore-1.27.36.ebuild 1610 BLAKE2B 19f47b6c38de4ffc3a0623bc006b257260abb255ab63d084bcea3552b403d504ddfbe7191494aa8dba8d19a445b55c9dc6c977bf5f0877dba72a3ca69cdbff43 SHA512 fcc38a1393610e2eb729cfbf3a9f579ca840a8e712fe2123235cec4aefc68c96b099821282a68de737bef5e2d1f1f4b00e64e1665985f718201909e1b56994bb
EBUILD botocore-1.27.41.ebuild 1617 BLAKE2B d33413fa74479d5ca72e82609b4b1c57a33f6953d5acb82db1e2f9de7599190c69d8e633ac0da8417121a9959346723f509d5bb8945d1de63689046756ba303a SHA512 20aeccea53aa2e5d294739c9256fb590d21a89c216411383b1bc8c1ee25528ce4ac94fe3a210a1a6ff173b81c1d97b0972d611772963592a9c8be8039c12717a
EBUILD botocore-1.27.46.ebuild 1617 BLAKE2B d33413fa74479d5ca72e82609b4b1c57a33f6953d5acb82db1e2f9de7599190c69d8e633ac0da8417121a9959346723f509d5bb8945d1de63689046756ba303a SHA512 20aeccea53aa2e5d294739c9256fb590d21a89c216411383b1bc8c1ee25528ce4ac94fe3a210a1a6ff173b81c1d97b0972d611772963592a9c8be8039c12717a
@@ -14,5 +15,6 @@ EBUILD botocore-1.27.49.ebuild 1617 BLAKE2B d33413fa74479d5ca72e82609b4b1c57a33f
EBUILD botocore-1.27.50.ebuild 1617 BLAKE2B d33413fa74479d5ca72e82609b4b1c57a33f6953d5acb82db1e2f9de7599190c69d8e633ac0da8417121a9959346723f509d5bb8945d1de63689046756ba303a SHA512 20aeccea53aa2e5d294739c9256fb590d21a89c216411383b1bc8c1ee25528ce4ac94fe3a210a1a6ff173b81c1d97b0972d611772963592a9c8be8039c12717a
EBUILD botocore-1.27.51.ebuild 1617 BLAKE2B d33413fa74479d5ca72e82609b4b1c57a33f6953d5acb82db1e2f9de7599190c69d8e633ac0da8417121a9959346723f509d5bb8945d1de63689046756ba303a SHA512 20aeccea53aa2e5d294739c9256fb590d21a89c216411383b1bc8c1ee25528ce4ac94fe3a210a1a6ff173b81c1d97b0972d611772963592a9c8be8039c12717a
EBUILD botocore-1.27.52.ebuild 1617 BLAKE2B d33413fa74479d5ca72e82609b4b1c57a33f6953d5acb82db1e2f9de7599190c69d8e633ac0da8417121a9959346723f509d5bb8945d1de63689046756ba303a SHA512 20aeccea53aa2e5d294739c9256fb590d21a89c216411383b1bc8c1ee25528ce4ac94fe3a210a1a6ff173b81c1d97b0972d611772963592a9c8be8039c12717a
+EBUILD botocore-1.27.53.ebuild 1617 BLAKE2B d33413fa74479d5ca72e82609b4b1c57a33f6953d5acb82db1e2f9de7599190c69d8e633ac0da8417121a9959346723f509d5bb8945d1de63689046756ba303a SHA512 20aeccea53aa2e5d294739c9256fb590d21a89c216411383b1bc8c1ee25528ce4ac94fe3a210a1a6ff173b81c1d97b0972d611772963592a9c8be8039c12717a
EBUILD botocore-9999.ebuild 1617 BLAKE2B d33413fa74479d5ca72e82609b4b1c57a33f6953d5acb82db1e2f9de7599190c69d8e633ac0da8417121a9959346723f509d5bb8945d1de63689046756ba303a SHA512 20aeccea53aa2e5d294739c9256fb590d21a89c216411383b1bc8c1ee25528ce4ac94fe3a210a1a6ff173b81c1d97b0972d611772963592a9c8be8039c12717a
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.27.53.ebuild b/dev-python/botocore/botocore-1.27.53.ebuild
new file mode 100644
index 000000000000..6558cbe56a50
--- /dev/null
+++ b/dev-python/botocore/botocore-1.27.53.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/cwcwidth/Manifest b/dev-python/cwcwidth/Manifest
index bed0e3680fca..4aed69e82d7e 100644
--- a/dev-python/cwcwidth/Manifest
+++ b/dev-python/cwcwidth/Manifest
@@ -1,3 +1,5 @@
DIST cwcwidth-0.1.6.gh.tar.gz 11563 BLAKE2B 014c1ae377005c704620fda7063e9891c014bb3f3f22160baf55cbef6e07084302a34ccea6bce2ca0f06d193ed3782006e308930a19c9a3c02bf181070eb5654 SHA512 0516fd49d625cd4bec26c27fd2fbbde55ca13a92bee3712018627a5c7f7a0c04aa06842ecce4c99d468f262a829f4ec5ff20bbc66232ad0fc037a7ade5845622
+DIST cwcwidth-0.1.7.gh.tar.gz 11282 BLAKE2B 20be2d54aceabc02a12fadc0cdee6e53037480fcc01be3b08b0ec69ccd515cdbe91a9024ea29e6dbd0d4c927ae0a32dd7debcc07815a9f2053a9ef6a5d5a0d7b SHA512 b81b1ccdce44e8e11d55258752a20e25a76452b3f0324e6168d89a5dfce706e0dd9dd28096234fcea4c38f619a41518dd7fe249552f7e27f77d383074001e468
EBUILD cwcwidth-0.1.6-r1.ebuild 616 BLAKE2B 02de2b540ac876120fcaf6885328724248a7078182f1349fdeb4762ae51f7660203a01f1029740c64d95ce576cf0a0d4b24e37caeab5312f4894e1a517c87dca SHA512 c06bb527dda61e542d91f265b255e1d527b13c24fb3dbdbd9f1635caba1e269a9656c1bad25d72ab54c9859e968084ebe7dfb51026a6dd378bbefe37be0d0b75
+EBUILD cwcwidth-0.1.7.ebuild 618 BLAKE2B b2fcc726dd54ecd3889428202f45b0f495f4e00aa78dac3eadb962f4c405c72c59ea059b6ca8be3a7b79c96fcdeca3a01287680ab34c89fdb7f2adcf10b5f6af SHA512 68fb6ba61fa7f24e83d52beac02be448eb08d403adf97998559172a0355a47e370b5dea3758a5e0d5ffdd140031b14279dd5a406f7c96b1d867dd895525d4852
MISC metadata.xml 349 BLAKE2B e1564185d34e24bd6070ffe534ded26aee31004f72bdcb85e27b6d42d243e7db1a9db68e75a6678c9da59530457d34a8cf58be54d919d18ddc539461e03992bc SHA512 65af1da9bc2295a6395395a832288b493df2218a85d8289361c05f2b0ee1bba57a3d32edf09a6c29e691dc43e4a92b34bc8980d346e7b860c5562a238731c067
diff --git a/dev-python/cwcwidth/cwcwidth-0.1.7.ebuild b/dev-python/cwcwidth/cwcwidth-0.1.7.ebuild
new file mode 100644
index 000000000000..b667006da87e
--- /dev/null
+++ b/dev-python/cwcwidth/cwcwidth-0.1.7.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for wc(s)width"
+HOMEPAGE="
+ https://github.com/sebastinas/cwcwidth/
+ https://pypi.org/project/cwcwidth/"
+SRC_URI="
+ https://github.com/sebastinas/cwcwidth/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+BDEPEND="dev-python/cython[${PYTHON_USEDEP}]"
+
+distutils_enable_tests unittest
+
+src_test() {
+ cd tests || die
+ distutils-r1_src_test
+}
diff --git a/dev-python/fonttools/Manifest b/dev-python/fonttools/Manifest
index 2f1805b0bbfd..0756e6d89d83 100644
--- a/dev-python/fonttools/Manifest
+++ b/dev-python/fonttools/Manifest
@@ -2,7 +2,9 @@ AUX fonttools-4.33.3-py3.11-tests.patch 1585 BLAKE2B a55794521063956fe5e1acd9d04
DIST fonttools-4.33.3.tar.gz 3526937 BLAKE2B 26539f76ac1919e572633695aca7a95f7f715ef18bd7d36de22e5491124ce36d3907f1e7b167d23685bca437f0bf7cf99159cd918ab2b1a450b716166d30fc37 SHA512 403e19cda46d67dea9f517e58c2e95ed04c53e6832919d85df9db4538431252e5ec4554e22410fd45cba634998de1576cf55d50f56de5ad497a108dcec4ed56a
DIST fonttools-4.34.4.gh.tar.gz 3555013 BLAKE2B 0e4149321cea89fb9ec63a52a127f657421d2902f9d9ec72a918bd7230ce5c9117f876bb1fe0b6dfa986b774a5929f41ba8ff868462f240669f8b2067d4bcf39 SHA512 9c6ea7d6e9a9d74d2e705f7966853709ee834195f682bf595f932be2eab8fb728cf69b83680e5b95a308b40b1c17a7d1003efade9473d3f6d8e744ecfd1e2c62
DIST fonttools-4.35.0.gh.tar.gz 3560204 BLAKE2B d79bbd2e4cca6fc5dd9fd301d29c10e2ff07348be6b57f00744b23ed4b00bb5e10b2415b83477827c0c2dc65262f578c6b6dd90de1243d84d4e83e46537ea804 SHA512 d7919eae04faa61fd3ef8996349239db2a0d5dbdd743dd41a43d1664f0524c0554d314a6d5d0c9aa4468badc47018843b2810ea61996c1bb56906ecd3bb9a4bf
+DIST fonttools-4.36.0.gh.tar.gz 3567028 BLAKE2B 45c2481680a314e101ed3a14915585b503a15853937846a5ceadd15e524f053663e0c6876bb105b0f2593ac790029da48cbede8139be98809764e5a6e3e2b11a SHA512 48a07548f72e9818292c1552675fce94b8ecb876172cd7adb429426c1d987f54a6e0482b7847e48c3b9854821567023cce402c613488d9e17277eff8a615d3c2
EBUILD fonttools-4.33.3.ebuild 1565 BLAKE2B d3b083da6c8c824946781f04c525201cf812e2d28b0cb6c3e74e776556924ea714d2b1257f27c3131c6a5f6d14cb6f3ac73f78382621854b937e8760c920ca70 SHA512 cb9907623ae7fa88199994daf0f0551e0c7d45474411888a2a2c357c5671c59e8232ce745ca40a69cc792a7490b9a48a2f4262bb0e2743aebe56f6e890f84388
EBUILD fonttools-4.34.4.ebuild 1524 BLAKE2B 006a2e378c259889001bb01a0ef51350d34fbc3c59d9445d3669317e66916f6d546ca7be3dfffab3b56505bad8bf9a738f6e093829eedbedde2162e5cfda798b SHA512 30d8c62dc7dc26a9218f1cf7e0a4c9553299b4268bdc6a68556d565598ceda574ba194a090390e46a88606ade224c96ba5f49d4143f6ac79074fdfcb1bba97d0
EBUILD fonttools-4.35.0.ebuild 1524 BLAKE2B 006a2e378c259889001bb01a0ef51350d34fbc3c59d9445d3669317e66916f6d546ca7be3dfffab3b56505bad8bf9a738f6e093829eedbedde2162e5cfda798b SHA512 30d8c62dc7dc26a9218f1cf7e0a4c9553299b4268bdc6a68556d565598ceda574ba194a090390e46a88606ade224c96ba5f49d4143f6ac79074fdfcb1bba97d0
+EBUILD fonttools-4.36.0.ebuild 1524 BLAKE2B 006a2e378c259889001bb01a0ef51350d34fbc3c59d9445d3669317e66916f6d546ca7be3dfffab3b56505bad8bf9a738f6e093829eedbedde2162e5cfda798b SHA512 30d8c62dc7dc26a9218f1cf7e0a4c9553299b4268bdc6a68556d565598ceda574ba194a090390e46a88606ade224c96ba5f49d4143f6ac79074fdfcb1bba97d0
MISC metadata.xml 372 BLAKE2B 950ec78bf127250847c6513c22a5108b251afdb000d361068edf9d00d64a5baf6925ba4058bb889724febb28d92abc044c29af5936a48d8e8951b12314b64357 SHA512 03e76e28959bab83fe41c3ee4b55692ced9b1360e73e38a6e8f6e5c06fd1185dcbe0214aea2edff18d248abf252c1877d0d2c2b78b8e088e606c09c34e93e7ac
diff --git a/dev-python/fonttools/fonttools-4.36.0.ebuild b/dev-python/fonttools/fonttools-4.36.0.ebuild
new file mode 100644
index 000000000000..0de6a64f356a
--- /dev/null
+++ b/dev-python/fonttools/fonttools-4.36.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Library for manipulating TrueType, OpenType, AFM and Type1 fonts"
+HOMEPAGE="https://github.com/fonttools/fonttools/"
+SRC_URI="https://github.com/fonttools/fonttools/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND=">=dev-python/fs-2.4.9[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ app-arch/brotli[python,${PYTHON_USEDEP}]
+ app-arch/zopfli
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # When dev-python/pytest-shutil is installed, we get weird import errors.
+ # This is due to incomplete nesting in the Tests/ tree:
+ #
+ # Tests/feaLib/__init__.py
+ # Tests/ufoLib/__init__.py
+ # Tests/svgLib/path/__init__.py
+ # Tests/otlLib/__init__.py
+ # Tests/varLib/__init__.py
+ #
+ # This tree requires an __init__.py in Tests/svgLib/ too, bug #701148.
+ touch Tests/svgLib/__init__.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+src_configure() {
+ export FONTTOOLS_WITH_CYTHON=1
+}
+
+src_test() {
+ # virtualx used when matplotlib is installed causing plot module tests to run
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ epytest Tests fontTools || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/hcloud-python/Manifest b/dev-python/hcloud-python/Manifest
index fb45d00bd36d..a169f17dc36b 100644
--- a/dev-python/hcloud-python/Manifest
+++ b/dev-python/hcloud-python/Manifest
@@ -1,3 +1,5 @@
DIST hcloud-python-1.17.0.gh.tar.gz 98069 BLAKE2B b8fb2f1c4a3d139225a19599f956a845789872642bc62ec0434f5393e90f5ef64226b6363eeae0b3312084312aac4ddbe77e6e134b0502783e72568f23a71ee5 SHA512 829972585b5fe61aaaa2ee5294c97e6ad4a913229e8d87cec8e00d61480a780682b4eb75e2b9da5962bdb3dfda15b0a81afa74383be874e381a5f8e1a27d7014
+DIST hcloud-python-1.18.0.gh.tar.gz 99047 BLAKE2B c32b048653bea1910ed8a82d0e08603a154dc89208c0cf8b9e046078277460fedffe6568c7c3cf56a8408bb0423d38464c4fd57dded4523886560823e3ee65da SHA512 8339b5da4df7f5e1f38fbd7a3f205387bfd7a65a7c4eaa757c4c35056b70c06230fe9b8a597b54bac082af975184bd5ef33a6e2747b60a67cc34d6771435452c
EBUILD hcloud-python-1.17.0.ebuild 1002 BLAKE2B bd842b951fb091df46ed8c46b991bf25c3b029ff536f203ff125f49411e232eee8086a884eb236acb9060a68a54437e012fdb9ba0f2c4d83f785b317e4b4a5d1 SHA512 a0e3c143bb97edc7f36200cde2607c4aa93e3925328b1946701cb70712fe5d545516395572b799aa5c89932f30580a72ee70238f93b1dd2d69a06191c56f0250
+EBUILD hcloud-python-1.18.0.ebuild 943 BLAKE2B d28fc52b4b72c851de9ef173e8d813d4b7447df4c26050740714763d93e254acf6ea63473cba9596b7757ec80d5bca83d092edb9f676e5c36aedc236b1649bfc SHA512 2cecdb3f3e98c9d8dd8a198a82c97a235a1521ddc2c0cdb3ab46956c3756513e374f8b0990ca15097db565c9f5fe3c5b2e99509b64215615d15c38f0c07fc713
MISC metadata.xml 483 BLAKE2B c945a22b776b5bf73deabf93718a1dea3a9b98f7257467e845106f71910347a803f96ef969227d7c10a119f1e35b904bcb7501b9672bf3ce5a2bef112d903e56 SHA512 4a6540a06d57eb3bc8c455d982531427157fbf1a85abf4b909032b0880c9e2847b295b3c9b02378be35e88f74876357503dd04bbe544ff9a9612df2b1c321b1c
diff --git a/dev-python/hcloud-python/hcloud-python-1.18.0.ebuild b/dev-python/hcloud-python/hcloud-python-1.18.0.ebuild
new file mode 100644
index 000000000000..61ebacbad568
--- /dev/null
+++ b/dev-python/hcloud-python/hcloud-python-1.18.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+inherit distutils-r1
+
+DESCRIPTION="Official Hetzner Cloud python library"
+HOMEPAGE="https://github.com/hetznercloud/hcloud-python"
+SRC_URI="
+ https://github.com/hetznercloud/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc examples"
+
+RDEPEND="
+ >=dev-python/future-0.17.1[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.7.5[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.20[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
+
+python_test() {
+ # Integration tests need docker:
+ # https://github.com/hetznercloud/hcloud-python/blob/master/.travis.yml#L16
+ epytest --ignore tests/integration
+}
diff --git a/dev-python/jsonschema/Manifest b/dev-python/jsonschema/Manifest
index f2e82490af2d..49d7fdd83dfb 100644
--- a/dev-python/jsonschema/Manifest
+++ b/dev-python/jsonschema/Manifest
@@ -1,9 +1,11 @@
DIST jsonschema-4.10.0.tar.gz 286110 BLAKE2B b59e425df6a8d747424ff938de6cbd0eceaa16a1b16b795847f86662a5cbc7953f052f7aaac10109a4c75e69e227d29f3dbfdcd50197be0436f6e36ea02df29a SHA512 765ed96fe086feda9604d3079e78f62e35ab883e8826be57112bd8f7c4fedc385c4e2436b5224a171b3a7c0d18b22162ff0973448b339a8f13043532e52eb06d
+DIST jsonschema-4.10.2.tar.gz 285395 BLAKE2B 2e40fc5e8b93922c12110f1983f933a07455d9f5d1388fc2c1ee8f07e042f3840573553f709ab7f373c8f5be0651996ffd203696bd0ec1356e90163dad8f4eb4 SHA512 1328af7b4bc70ce43aec6e27b75c9ebe1c2745eceb3b794aeb41eb430362123f9b40dda26e90e62f23d5733ff4fd21407b05569603ee1e2a4941c2009e1855e7
DIST jsonschema-4.7.2.tar.gz 278495 BLAKE2B 55c25847e210e0bdd3bec672b4b6a4eb1a2e2ec5167c115c34a2d0b2de079a00eaff8d901386b475fc26660887090896e78e3a38c1805f5b767fa1eece740e3b SHA512 c624d7bf317ca20fd8cdd248ec7d7679fde907ab304f1a092fc7a172464f43e41904d3f88df57e1351043b978448f51166a09af3625f00a9ad4d7353033b80af
DIST jsonschema-4.8.0.tar.gz 279424 BLAKE2B 9e8936bde13841f9edf42ffe214ce8d1aaae8b9be4c3040871f228399a31b4292e8cfbf4bf4261822ca1b88622cb69cdf0d55bd2cc51bf191f6e364e9bfb94f8 SHA512 75a7593eb8b0163ba428f507ed4fd9fa6d51567f284776af96f4d79cb507a69666cc048034bfa3a401f960295779e935562dde4e97cf3f7b3b4571bc28b9dde7
DIST jsonschema-4.9.0.tar.gz 281100 BLAKE2B 5a1c387fc33735ffd39342f3e62600aea721a51be0995d10aa1726e8e4c3bf93694a7844410c0b245c699880d6642a6903525b3637883f5e662086b53deb0948 SHA512 73fc9958f37802c4558ea6893386810784d2b577c04423b7090fce4cd052e3af078f0b0c46b2b16f96bb49820047f1ec5d96cf6c6cb822fca1d988cf1d70209f
DIST jsonschema-4.9.1.tar.gz 281177 BLAKE2B 210308d140b39f5a5506a3561b8eaa211fbc9a0eb0576975125fa998bf9a507221b5ab75bd4d0f5bcd6d2e3b70a1a07ef4bcfb1d0b88b29a218b074b7d5649a1 SHA512 d63b927c183077d0fe6978536416523229be0ce3a393e6cbc12fd9229bfa45ba035fd721a7722042d7cb6bcf4c720485d7ff877aae93cd62c9c48b984e802267
EBUILD jsonschema-4.10.0.ebuild 1581 BLAKE2B 5367c715bb5a95a1fe41b14db8feecf81bc090716cbdf60dc11f348aaf929cf1d8d3716c256b98342071c6883d9bbb9792dcb0df8437e8bfdcf7c46172b1df41 SHA512 824306432bf9ce72ec55dc736092d440c074395b01f5e975beb5aaea6dd19b64ff49ea05cffd6cd0a385fe1062c2f52a928215c38dd1c1b09a9d11486f0a3d8e
+EBUILD jsonschema-4.10.2.ebuild 1581 BLAKE2B 5367c715bb5a95a1fe41b14db8feecf81bc090716cbdf60dc11f348aaf929cf1d8d3716c256b98342071c6883d9bbb9792dcb0df8437e8bfdcf7c46172b1df41 SHA512 824306432bf9ce72ec55dc736092d440c074395b01f5e975beb5aaea6dd19b64ff49ea05cffd6cd0a385fe1062c2f52a928215c38dd1c1b09a9d11486f0a3d8e
EBUILD jsonschema-4.7.2.ebuild 1470 BLAKE2B 83d64bd08bf75a1a8a37dc993658b3f235a6a83ec0c35b5ab25ac165cafc4a8e5d70855fdecef07b40d788ca699d9a01514a2e1a3050d7d457ea71c2527fdcb0 SHA512 16dfb19e0f76c4895172f529ed19c1e467fc7101543c913f467832c2cd45fbd23f7e8e59a07301b07381c3e8e86f68b0930555dde52973af3622e7b3e65862cf
EBUILD jsonschema-4.8.0.ebuild 1478 BLAKE2B ca4c9fc3507787d0880ead2ac0b3c02029921dfb886988359b914df10ce43b2c8c197bb55c8174425304f7dc6487a19209816f766e1b8c3b8bea531527fd4bb7 SHA512 39e4857634efcb651dc31e69bb56ed96242416262af07a6898c08647e5cc9f6fa2001e84942e4e3793b0596d89b02e5d89c9e60077e29707e559bd00edb834ee
EBUILD jsonschema-4.9.0.ebuild 1504 BLAKE2B aa9b279331f3b6a70a45689ae877831c2fc4adf91faa5322fb67807bd2bb2181f74ce0de649da5e7df813934409b5d9b0ead05af3c4eba4d7f52cf98b295dfd8 SHA512 e13292a358daf85b43d82abe65a0123ac4971dcaaf50f70cde560a62e93d2227ec6064f97088a2c112cacb8ad18a3b636c000b54897e4e1ab3de0ab475362f60
diff --git a/dev-python/jsonschema/jsonschema-4.10.2.ebuild b/dev-python/jsonschema/jsonschema-4.10.2.ebuild
new file mode 100644
index 000000000000..ab464e8b5c6a
--- /dev/null
+++ b/dev-python/jsonschema/jsonschema-4.10.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="An implementation of JSON-Schema validation for Python"
+HOMEPAGE="
+ https://pypi.org/project/jsonschema/
+ https://github.com/python-jsonschema/jsonschema/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/attrs-17.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pyrsistent-0.18.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_resources-1.4.0[${PYTHON_USEDEP}]
+ dev-python/pkgutil_resolve_name[${PYTHON_USEDEP}]
+ ' 3.8)
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+"
+
+# formatter deps
+RDEPEND+="
+ dev-python/fqdn[${PYTHON_USEDEP}]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/isoduration[${PYTHON_USEDEP}]
+ >=dev-python/jsonpointer-1.13[${PYTHON_USEDEP}]
+ dev-python/rfc3339-validator[${PYTHON_USEDEP}]
+ dev-python/rfc3986-validator[${PYTHON_USEDEP}]
+ dev-python/rfc3987[${PYTHON_USEDEP}]
+ dev-python/uri_template[${PYTHON_USEDEP}]
+ >=dev-python/webcolors-1.11[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # requires pip, does not make much sense for the users
+ jsonschema/tests/test_cli.py::TestCLIIntegration::test_license
+ # wtf?
+ jsonschema/tests/test_deprecations.py::TestDeprecations::test_version
+ jsonschema/tests/test_jsonschema_test_suite.py::test_suite_bug
+)
diff --git a/dev-python/libtmux/Manifest b/dev-python/libtmux/Manifest
index 14ada5df7732..fcd4ea1e7627 100644
--- a/dev-python/libtmux/Manifest
+++ b/dev-python/libtmux/Manifest
@@ -1,6 +1,7 @@
DIST libtmux-0.12.0.gh.tar.gz 214161 BLAKE2B 7040da2ee782b2e6bc73c70de0f5d5713c989a0959b0e731ac060f442e82e99829689f924cc2aeef6e79339b4f419df4143e2d5a9e356ad27cccb9cb3802e2f2 SHA512 f6f80daa3aaa99dd81ec0eb6a119ab1ad5fcd6c656d280b06a40c2b3bdc8d3ca7ae06089ea74482bfff005997f07e346338330d9ecf1c6745a6f3b7719b9cd0a
DIST libtmux-0.13.0.gh.tar.gz 240339 BLAKE2B 5b975bef4835ed8b74f05fd56bd824028fa64b56c700396d0387661cdf41a4a43d81dce10462c89a90ce352b00ca0fea0334fa02e7259464a62369637b2435ce SHA512 bc5fce8c201f7c69fcbc15605808544baf19896e51c44daeebc4c133ee1db70dbffa8eea2641862cf27ca9fe341f4721cde432682e5aea84b2573f83ad25555f
DIST libtmux-0.14.0.gh.tar.gz 241472 BLAKE2B 910005f944eefc8e7a92e476fb5d6c1693b1d1a6a82a27445487b9d16037610d6bd79301dea3c14a3be297ff8c774ba9e80f2036b6cf6259822c31ff673eaacf SHA512 726df5781a6c1a80f31035c6dda6e423e30c49d7d6e9865cfb17777a96dc36cc4a4f22f1330a87d3d1fa2f513ac34a7e1c4a51c9bd3dc1d2be79c67767061b76
+DIST libtmux-0.14.2.gh.tar.gz 234682 BLAKE2B e93b0a280c3cfdfab4c9a313d251d15665c530813f00aa78151efe62a6a566f2d8986afed015de4a8be80b48f31ac197e98d3efa592eb8895e8d9626ff34ef72 SHA512 1565529ecf555dac8f896146e2d802c0e5460458ea1da6ba5496d5d2c394f56cc8c5f7650c5d4aebd1750659bbdc529e439e60dff6a0ccef8806bb65305d2421
DIST libtmux-v0.10.3.tar.gz 225258 BLAKE2B 40d591ee1f8a6068947b61416d6247b2475cc99031a67c167dc527631e50075f18c46fe6fc16193867d83a1a735b0a23fbfbc77f4539f788f05375f1f68b77d2 SHA512 2c8f28ce8c313404caffa42e5fd4a1dfa5d48bdc48203f8db595cb97b44886d63608771f23d62d76a56513b7e4578e48a31cacd224eca92425f110efd0a5db69
DIST libtmux-v0.11.0.tar.gz 234278 BLAKE2B 4939d38894fd6a1492ff282c98243b2d5b3b6f787691031c74337629aed710d3caebeb3bfce571e8f38fe07ecc341b6b3f8aa0bc42979fa362f5f0679aabf21e SHA512 e09749ce4cf7cf7756e4e40e50c6eb0a00435f2b00c8436667b6b77a94078e9c380a811107f8129ea0d347355f3ce8bb213b8fb36de2becf3cf1a2dbebd97867
EBUILD libtmux-0.10.3.ebuild 905 BLAKE2B 63b12c494a018b8ccbb0d25fe97a5c67c8ebc7b5df0cc9d92c254fa245409f4f08fb8d45875a3595b81faace65d3b37b40eaca939768f4910781625cb5ccc2e6 SHA512 ab794fc256e2a17ffbfd3e2fca12cf69f804cd1abee07ffeaab1dfbd80b189da8b3f8633dfa755d026d4c8b5ec5444aca9350ab33384d75e03d08d01a3cea198
@@ -8,4 +9,5 @@ EBUILD libtmux-0.11.0.ebuild 893 BLAKE2B 78bc71ad81e503f26119b443e82d83b99c63d55
EBUILD libtmux-0.12.0.ebuild 896 BLAKE2B fff952326f8be9a0c87ec6668ab8dcbc090bcca65e1d1f07bb6155ba57c1fa55e3ab23312226bae66bb439eda537acebd29af29e71b54976ce7bc49402604d28 SHA512 5174b8e419f5c72b6e29ed676e5ac083d23cf41e57d7bc02eecc9a222842cc364c711bf408cb7f0fb66dc70c1ec6f7de833d51d0a423b08aedbb1063865aa493
EBUILD libtmux-0.13.0.ebuild 979 BLAKE2B 992f0bab62635f4304d01ae890ea09036d2e179761617f20ab858376e1c36bcdd16da492e11ebc1ea7cace6ef844ce98fef04c8d2439252e64a9bbe4773d8714 SHA512 78c560b8aa1d948aa2ce76eecb5686abe2394317c73c73294b0fa3fc0a9f7b69da1a2193f209ac9796ff5189ba666f39e34240bad40603f1a3112809d82ebb57
EBUILD libtmux-0.14.0.ebuild 1047 BLAKE2B 8aac24bfe57ba4eb2f696bc5a58040598d9bc9dc400ce00015a355fa6d3cfcc2b7b45b07eb5d7f56c04289fd2b1699014692e28d4e7c054144812672be92a9a2 SHA512 47bf97e116a9d72d88d743f114eb4abeb1ba93bb747b0b8f4cded9840d8e279ed73c459ba32c1773ba130f2e83311d0acc5fdaa03820396ed8f6b384cdca0d6b
+EBUILD libtmux-0.14.2.ebuild 1047 BLAKE2B 8aac24bfe57ba4eb2f696bc5a58040598d9bc9dc400ce00015a355fa6d3cfcc2b7b45b07eb5d7f56c04289fd2b1699014692e28d4e7c054144812672be92a9a2 SHA512 47bf97e116a9d72d88d743f114eb4abeb1ba93bb747b0b8f4cded9840d8e279ed73c459ba32c1773ba130f2e83311d0acc5fdaa03820396ed8f6b384cdca0d6b
MISC metadata.xml 403 BLAKE2B 68af7251349c8999bbdbfb7b55ca4632f8752468d7e478fd985097af86d00afe93b231667a25e3c997a3bc86b708d4e6d6ef5c35a783871cdc83519fc1db1ab1 SHA512 2a88df695e94f1da966bb72f7e90d00f2e343e40fe1924837f8c087dfc9a9a84fe0b2909a98f2f41ba72f6ba01796888a80cbac3f1bf9f05984a06385037d977
diff --git a/dev-python/libtmux/libtmux-0.14.2.ebuild b/dev-python/libtmux/libtmux-0.14.2.ebuild
new file mode 100644
index 000000000000..be24d300e9a1
--- /dev/null
+++ b/dev-python/libtmux/libtmux-0.14.2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="python api for tmux"
+HOMEPAGE="https://libtmux.git-pull.com/"
+SRC_URI="
+ https://github.com/tmux-python/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ >=app-misc/tmux-3.0a
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/twine[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ libtmux/pane.py::libtmux.pane.Pane.send_keys
+)
+
+python_prepare_all() {
+ local issues="https://github.com/tmux-python/libtmux/issues/"
+ sed -r -i "s|:issue:\`([[:digit:]]+)\`|\`issue \1 ${issues}\1\`|" CHANGES || die
+ rm requirements/doc.txt || die
+
+ # increase timeouts for tests
+ sed -e 's/0.01/0.1/' -i tests/test_test.py || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/matplotlib-inline/Manifest b/dev-python/matplotlib-inline/Manifest
index 733d9b46e7f5..80dd241e444e 100644
--- a/dev-python/matplotlib-inline/Manifest
+++ b/dev-python/matplotlib-inline/Manifest
@@ -1,3 +1,5 @@
DIST matplotlib-inline-0.1.3.gh.tar.gz 7337 BLAKE2B 995b6e5ce9068760e701e3b429d2187bdc7e7c5b989d54a9fb1f8b5f385f91c6a3621a54d5a1e62c9000737f5f42d9ceae5be7f36b664b7e06ff9c712e6d76ac SHA512 684821204faa3cb35c46663b8c8cb8f0ba5d4f761d15bc708de69c98753685c89da1d330087bcfa970792de592188768dc068accc471d55360f551e44cf4a79a
+DIST matplotlib-inline-0.1.5.gh.tar.gz 7520 BLAKE2B 90fe7ed66b6d0ef7fd2b2a9478847adaa37af281ea383b60a1d01091d1be338411ccb2480e4bf34f0722e29cf6564a58ab358718c7704ac0c1c09375ba043627 SHA512 2a12d675ae6db1657f7202450ef3d889618c896d3571fd1a6c43b75fba1d72e80e49a06d55f7c333381b1afd2cd4a9ef282b5bcbadd2b53a19e02bd3f8bc9301
EBUILD matplotlib-inline-0.1.3-r1.ebuild 599 BLAKE2B e98c4a7618ca510b8deae074473bb7b9d8e1c0dbc65d56fce2dad5c9c30d256ca3daf05ff5d143e4d6debfb8f003ad471479a1bcc902225f349109b1612a31c0 SHA512 066cb1abc7d8d2773f97181a62f9ae266c39d1cfa1617ae68a4dc1e5c8f2aea7f95865b3dd0725577ae1ed87bd2738957f5e5b7860b36756490ab7a8ef078685
+EBUILD matplotlib-inline-0.1.5.ebuild 607 BLAKE2B e489216e6aae9c913c3cc9739561772a0ebdb5895effa1aa94bf2f6f7368d9b68691363b09d56036d8b68d59bf6a211cdc9caa199f499352ffea001f0b5aac1c SHA512 c97bbe80d0cae75aa8277850d17864f806cb27ad2fa2c48558f5c1345e35c73f04c18b7e3bdbf891f0a1b953fce5f8e29bf70d2b407427d8174423b6514396d0
MISC metadata.xml 388 BLAKE2B 2c15ea9d7f572bfd693b7b715ad5d32b0528889b07e7b7d2b58e2f99d1884acf376ed5bcbcf527179b232bc761c3aa31a59b112acd7b3a82f07f19d2592d167d SHA512 a40bc579234e3f6f4cb7cf12c0851ff23be0e9a2af94af099d503214f626d03a26dff3fc5d1aebedb5c3b4adfb13f1b6fb72ec10d62d3fea6bc2772271cea027
diff --git a/dev-python/matplotlib-inline/matplotlib-inline-0.1.5.ebuild b/dev-python/matplotlib-inline/matplotlib-inline-0.1.5.ebuild
new file mode 100644
index 000000000000..90cd627e843a
--- /dev/null
+++ b/dev-python/matplotlib-inline/matplotlib-inline-0.1.5.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Inline Matplotlib backend for Jupyter"
+HOMEPAGE="https://github.com/ipython/matplotlib-inline/"
+SRC_URI="
+ https://github.com/ipython/matplotlib-inline/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/traitlets[${PYTHON_USEDEP}]
+"